package bcd::bcd;

use strict;
use XML::Simple;
use Data::Dumper;
use bcd::common qw(:DEFAULT $isoconf $wd $name $arch $version);
use bcd::genisoimage;
use bcd::isolinux;
use bcd::stagex;
use bcd::media;

our @ISA = qw(Exporter);
our @EXPORT = qw(main_bcd print_info);

sub print_info() {
	print Dumper($isoconf);
}

sub help_bcd {
	print "\ninfo: print xml info from configuration file";
	print "\nxml: generate a typical xml config file";
	print "\nmd5: create MD5 sum of the ISO";
	print "\nstage: update the stage1/stage2";
	print "\nisolinux: update the isolinux";
	print "\nclean: clean the builddir and isodir";
	print "\nmedia: create the media in builddir";
	print "\nall: all stage in order";
	print "\niso: create the iso\n\n";
}

sub generate_xml {
print '
<?xml version="1.0"?>
<productname>
</productname>
';
}

sub do_all {
	clean_all;
	check_dir;
	main_isolinux;
	main_stagex;
	main_media;
	main_iso;
}

sub main_bcd() {
    my %opts = (
	'' => \&help_bcd,
	info => \&print_info,
	xml => \&generate_xml,
	iso => \&main_iso,
	md5 => \&create_md5,
	stage => \&main_stagex,
	isolinux => \&main_isolinux,
	media => \&main_media,
	clean => \&clean_all,
	all => \&do_all,
	);
    
    $opts{$_} = $bcd::{$_} foreach
	qw(print_info generate_xml main_iso create_md5 main_stagex main_isolinux clean_all main_media);
    
    if (my $f = $opts{$ARGV[0]}) {
	$f->();
    } else {
	print " ** Dont know what todo ** \n";
    }
}


1;
