package bcd::common;

use strict;
use XML::Simple;
use File::Copy::Recursive qw(dircopy pathrm);


our @ISA = qw(Exporter);
our @EXPORT = qw(create_needed_dir check_dir clean_all);
# export all needed var
our @EXPORT_OK = qw($isoconf $wd $name $arch $file $version $repo);

my $LOG="COMMON -";
my $file = "bcd.xml";
our $isoconf = XMLin($file, keyattr => ['']);

our $name = $isoconf->{nameid};
our $wd = $isoconf->{workdir}{path};
our $arch = $isoconf->{arch};
our $version = $isoconf->{version};
our $repo = $isoconf->{repo}{path};


sub create_needed_dir {
	my ($dir) = @_;
        # create needed dir to create the build tree, and to store the ISO
	if (! -d $dir) {
		#mkdir $dir, 0755;
		print "$LOG creation of $dir\n";
		system("mkdir -p $dir");
	} else {
		print "$LOG $dir already exist\n";
	}
}

sub check_dir {
	create_needed_dir("$wd/$isoconf->{iso}{genisoimage}{builddir}/$name-$version/$arch");
	create_needed_dir("$wd/$isoconf->{iso}{genisoimage}{builddir}/$name-$version/$arch/$isoconf->{mediainfo}{mediar_infodir}");
	create_needed_dir("$wd/$isoconf->{iso}{genisoimage}{isodir}");
}

sub clean_all {
	print "$LOG rmdir $wd/$isoconf->{iso}{genisoimage}{builddir}/$name/$arch\n";
	#pathrm("$wd/$isoconf->{iso}{genisoimage}{builddir}/$name/$arch") or die $!;
        -d "$wd/$isoconf->{iso}{genisoimage}{builddir}/$name/$arch" and system("rm -rf $wd/$isoconf->{iso}{genisoimage}{builddir}/$name/$arch");
	print "$LOG rmdir $wd/$isoconf->{iso}{genisoimage}{isodir}\n";
	#pathrm("$wd/$isoconf->{iso}{genisoimage}{isodir}/$name/$arch") or die $!;
	-d "$wd/$isoconf->{iso}{genisoimage}{isodir}" and system("rm -rf $wd/$isoconf->{iso}{genisoimage}{isodir}");
	-d "/tmp/$name-$version-$arch" and system("sudo rm -rf /tmp/$name-$version-$arch");
}
1;
