package bcd::stagex;


use strict;
use XML::Simple;
use File::Copy::Recursive qw(dircopy pathrm);
use bcd::common qw(:DEFAULT $isoconf $wd $name $arch $version);

our @ISA = qw(Exporter);
our @EXPORT = qw(main_stagex);
my $LOG="STAGEX -";


# define the repositery where to find distribution
my $repo_dir = $isoconf->{repo}{path};
-d $repo_dir or print "$LOG $repo_dir does not exists !\n" and exit;

my $installer_dir;
if ($isoconf->{installer}{fulltpath} =~ //) {
        $installer_dir = "$repo_dir/$version/$arch/$isoconf->{installer}{defaultpath}";
} else {
	$installer_dir = $isoconf->{installer}{fullpath};
}
-d $installer_dir or print "$LOG $installer_dir does not exists !\n" and exit;

my $builddir = "$wd/$isoconf->{iso}{genisoimage}{builddir}/$name-$version/$arch/$isoconf->{installer}{defaultpath}";

sub update_stage {
#	print "$LOG remove old copy $builddir\n";
#	pathrm($builddir) or die $!;
	print "$LOG copy $installer_dir to $builddir\n";
	dircopy($installer_dir,$builddir) or die $!;
}

sub main_stagex {
	update_stage;
}

1;
